<template>
  <v-app>
    <img :src="headerImage" alt>
    <writing-activity
      :activity="activity"
      :writingId="writingId"
      :sequenceId="idSequence"
      @feedbackContinue="feedbackContinue"
      v-if="$keycloak && authenticated"
    />
  </v-app>
</template>


<script>
import { mapGetters } from 'vuex';
import headerImage from '@/assets/backgrond/header.png';
import WritingActivity from './Activity/Index';
import WritingService from './services/WritingService';
import Activity from './Entity/Activity/Activity';

export default {
  components: {
    WritingActivity,
  },
  data() {
    return {
      headerImage,
      writingId: 'a373bc28-44eb-4060-8a34-33c070ee6dc4',
      idSequence: '08343650-b81b-4cab-903a-477d8224ad06',
      activity: new Activity(),
      writingService: new WritingService(),
    };
  },
  computed: {
    ...mapGetters(['authenticated']),
  },
  methods: {
    feedbackContinue() {
      window.location.reload();
    },
  },
  mounted() {
    this.$keycloak.onReady = (authenticated) => {
      if (!authenticated) {
        this.$keycloak.login();
      }
    };
    this.$keycloak.onAuthError = (err) => {
      throw new Error(`Erro na autenciação ${err}`);
    };
  },
};
</script>
